diff -u -r --new-file file-3.14-orig/Magdir/ar file-3.14/Magdir/ar
--- file-3.14-orig/Magdir/ar	Sun Jun  5 22:25:57 1994
+++ file-3.14/Magdir/ar	Wed Dec  7 17:12:25 1994
@@ -59,7 +59,8 @@
 >1	byte		0		(empty)
 >1	byte		1		(old format)
 # Rahul Dhesi's zoo archive format, from keith@cerberus.uchicago.edu.
-20	long		0xdca7c4fd	Rahul Dhesi's "zoo" archive
+20	string		\xdc\xa7\xc4\xfd	Rahul Dhesi's "zoo" archive
+>0	string		>\0			(%s)
 # ZIP archiver
 0	string		PK		zip archive file 
 >4	byte		x		- version
diff -u -r --new-file file-3.14-orig/Magdir/archive file-3.14/Magdir/archive
--- file-3.14-orig/Magdir/archive	Thu Sep 16 13:37:42 1993
+++ file-3.14/Magdir/archive	Wed Dec  7 17:10:43 1994
@@ -11,5 +11,3 @@
 0	string		!<arch>		archive
 >8	string		__.SYMDEF	random library
 0	string		-h-		Software Tools format archive text
-# Rahul Dhesi's zoo archive format, from keith@cerberus.uchicago.edu.
-20	long		0xdca7c4fd	Rahul Dhesi's "zoo" archive
diff -u -r --new-file file-3.14-orig/Magdir/audio file-3.14/Magdir/audio
--- file-3.14-orig/Magdir/audio	Thu Sep 23 12:45:06 1993
+++ file-3.14/Magdir/audio	Wed Dec  7 17:10:43 1994
@@ -36,8 +36,24 @@
 8	string		AIFF		AIFF audio data
 8	string		AIFC		AIFF-C audio data
 8	string		8SVX		IFF/8SVX audio data
-# Bytes 0-3 of Waveform (*.wav) audio files are "RIFF"
-8	string		WAVE		Waveform audio data
-0	string		Creative\ Voice\ File	Soundblaster audio data
-0	long		0x4e54524b	MultiTrack sound data file
->4	long		x		- version %ld
+
+# Creative Labs AUDIO stuff
+0	string  MThd			Standard MIDI data
+>9 	byte	>0			(format %d)
+>11	byte	>1			using %d channels
+0	string  CTMF			Creative Music (CMF) data
+0	string  SBI			SoundBlaster instrument data
+0	string	Creative\ Voice\ File	Creative Labs voice data
+# is this next line right?  it came this way...
+>19	byte	0x1A
+>23	byte	>0			- version %d
+>22	byte	>0			\b.%d
+
+# Microsoft WAVE format
+0	string		RIFF		Microsoft RIFF
+>8	string		WAVE		- WAVE format
+>34	short		>0		%d bit
+>22	short		=1		Mono
+>22	short		=2		Stereo
+>22	short		>2		%d Channels
+>24	long		>0		%d Hz
diff -u -r --new-file file-3.14-orig/Magdir/c-lang file-3.14/Magdir/c-lang
--- file-3.14-orig/Magdir/c-lang	Thu Sep 16 13:37:44 1993
+++ file-3.14/Magdir/c-lang	Wed Dec  7 17:10:43 1994
@@ -1,3 +1,4 @@
 #	this first will upset you if you're a PL/1 shop...
 #	in which case rm it; ascmagic will catch real C programs
 0	string		/*		c program text
+0	string		//		c++ program text
diff -u -r --new-file file-3.14-orig/Magdir/commands file-3.14/Magdir/commands
--- file-3.14-orig/Magdir/commands	Sun Jun  5 22:20:37 1994
+++ file-3.14/Magdir/commands	Wed Dec  7 17:10:43 1994
@@ -17,12 +17,6 @@
 0	string		#!\ /usr/local/bin/tcsh	Tenex C Shell script text
 0	string		#!/bin/awk		Awk Commands text
 0	string		#!\ /bin/awk		Awk Commands text
-0	string		#!\ /			a
->3	string		>\0			%s script text
-0	string		#!/			a
->2	string		>\0			%s script text
-0	string		#!\ 			commands text
->3	string		>\0			for %s
 
 # For Larry Wall's perl language.  The ``eval'' line recognizes an
 # outrageously clever hack for USG systems.
@@ -36,5 +30,21 @@
 0       string          #!/usr/local/bin/perl   perl commands text
 0       string          #!\ /usr/local/bin/perl perl commands text
 0       string          eval\ "exec\ /usr/local/bin/perl        perl commands text
+
+# Plan 9 rc shell
 0	string		#!/bin/rc	Plan 9 rc Shell script text
 0	string		#!\ /bin/rc	Plan 9 rc Shell script text
+
+# bash shell magic, from Peter Tobias (tobias@server.et-inf.fho-emden.de)
+0	string		#!/bin/bash	Bourne-Again Shell script text
+0	string		#!\ /bin/bash	Bourne-Again Shell script text
+0	string		#!/usr/local/bin/bash	Bourne-Again Shell script text
+0	string		#!\ /usr/local/bin/bash	Bourne-Again Shell script text
+
+# general script detection
+0	string		#!\ /			a
+>3	string		>\0			%s script text
+0	string		#!/			a
+>2	string		>\0			%s script text
+0	string		#!\ 			commands text
+>3	string		>\0			for %s
diff -u -r --new-file file-3.14-orig/Magdir/ditroff file-3.14/Magdir/ditroff
--- file-3.14-orig/Magdir/ditroff	Thu Sep 16 13:37:46 1993
+++ file-3.14/Magdir/ditroff	Wed Dec 31 16:00:00 1969
@@ -1,4 +0,0 @@
-# Magic numbers for ditroff intermediate language
-0	string		x\ T\ cat	titroff output for the C/A/T text
-0	string		x\ T\ ps	titroff output for PostScript
-0	string		x\ T 		titroff output text
diff -u -r --new-file file-3.14-orig/Magdir/fonts file-3.14/Magdir/fonts
--- file-3.14-orig/Magdir/fonts	Thu Sep 16 13:37:47 1993
+++ file-3.14/Magdir/fonts	Wed Dec  7 17:10:43 1994
@@ -1,3 +1,8 @@
 0	string	FONT	ASCII vfont text
 0	short	0436	Berkeley vfont data
 0	short	017001	byte-swapped Berkeley vfont data
+
+# PostScript fonts (must precede PostScript entry), quinlan@yggdrasil.com
+0	string		%!PS-AdobeFont-1.0	PostScript Type 1 font text
+>20	string		>\0		(%s)
+6	string		%!PS-AdobeFont-1.0	PostScript Type 1 font program data
diff -u -r --new-file file-3.14-orig/Magdir/html file-3.14/Magdir/html
--- file-3.14-orig/Magdir/html	Wed Dec 31 16:00:00 1969
+++ file-3.14/Magdir/html	Wed Dec  7 17:10:43 1994
@@ -0,0 +1,9 @@
+#
+# HTML magic, from Daniel Quinlan <quinlan@yggdrasil.com>
+#
+0	string		\<HEAD\>		HTML document text
+0	string		\<head\>		HTML document text
+0	string		\<TITLE\>		HTML document text
+0	string		\<title\>		HTML document text
+0	string		\<h1\>			Untitled HTML document text
+0	string		\<H1\>			Untitled HTML document text
diff -u -r --new-file file-3.14-orig/Magdir/imagen file-3.14/Magdir/imagen
--- file-3.14-orig/Magdir/imagen	Thu Sep 16 13:37:49 1993
+++ file-3.14/Magdir/imagen	Wed Dec 31 16:00:00 1969
@@ -1,14 +0,0 @@
-# Tell file about magic for IMAGEN printer-ready files:
-0	string	@document(		Imagen printer
-# this only works if "language xxx" is first item in Imagen header.
->10	string	language\ impress	(imPRESS data)
->10	string	language\ daisy		(daisywheel text)
->10	string	language\ diablo		(daisywheel text)
->10	string	language\ printer	(line printer emulation)
->10	string	language\ tektronix	(Tektronix 4014 emulation)
-# Add any other languages that your Imagen uses - remember
-# to keep the word `text' if the file is human-readable.
-#
-# Now magic for IMAGEN font files...
-0	string		Rast		RST-format raster font data
->45	string		>0		face %
diff -u -r --new-file file-3.14-orig/Magdir/lex file-3.14/Magdir/lex
--- file-3.14-orig/Magdir/lex	Thu Sep 16 13:37:51 1993
+++ file-3.14/Magdir/lex	Wed Dec  7 17:10:43 1994
@@ -1,3 +1,7 @@
 #	derived empirically, your offsets may vary!
 53	string		yyprevious	c program text (from lex)
 >3	string		>\0		 for %s
+# c program text from GNU flex, from Daniel Quinlan <quinlan@yggdrasil.com>
+21	string		generated\ by\ flex	c program text (from flex)
+# lex description file, from Daniel Quinlan <quinlan@yggdrasil.com>
+0	string		%{		lex description text
diff -u -r --new-file file-3.14-orig/Magdir/linux file-3.14/Magdir/linux
--- file-3.14-orig/Magdir/linux	Sun Jun  5 22:17:20 1994
+++ file-3.14/Magdir/linux	Wed Dec  7 17:10:43 1994
@@ -1,11 +1,33 @@
-# Values for Linux/i386 binaries, From: Rik Faith <faith@cs.unc.edu>
+#
+# magic.linux
+#
+# Values for Linux/i386 binaries, from Rik Faith <faith@cs.unc.edu>,
+# Peter Tobias <tobias@server.et-inf.fho-emden.de>, and Daniel Quinlan
+# <quinlan@yggdrasil.com>
 2	leshort		100		Linux/i386
->0	leshort		0407		executable or impure executable (OMAGIC)
 >0	leshort		0410		pure executable (NMAGIC)
 >0	leshort		0413		demand-paged executable (ZMAGIC)
 >0	leshort		0314		demand-paged executable (QMAGIC)
 >16	lelong		>0		not stripped
->0      string          Jump            jump
-# core dump file
+>0	string		Jump		jump
+0	leshort		0407		object file or impure executable (OMAGIC)
+>20	long		>0x1020		DLL library
+# message catalogs, from Mitchum DSouza <m.dsouza@mrc-apu.cam.ac.uk>
+0	string		*nazgul*	compiled message catalog
+>8	long		>0		- version %ld
+# core dump file, from Bill Reynolds <bill@goshawk.lanl.gov>
 216	lelong		0421		core file (Linux)
->220	string		>\0		core file (Linux) of %s
+>220	string		>\0		- core dump of '%s'
+#
+# LILO boot/chain loaders, from Daniel Quinlan <quinlan@yggdrasil.com>
+# this can be overrided by the DOS executable (COM) entry
+2	string		LILO		LILO boot/chain loader
+#
+# Debian Packages, from Peter Tobias <tobias@server.et-inf.fho-emden.de>
+0	string		0.9
+>8	byte		0x0a		Debian Binary Package -
+>>3	byte		>0		created by dpkg 0.9%c
+>>4	byte		>0		pl%c
+#
+# PSF fonts, from Daniel Quinlan <quinlan@yggdrasil.com>
+0	leshort		0x0436		PSF font data
diff -u -r --new-file file-3.14-orig/Magdir/lisp file-3.14/Magdir/lisp
--- file-3.14-orig/Magdir/lisp	Wed Dec 31 16:00:00 1969
+++ file-3.14/Magdir/lisp	Wed Dec  7 17:10:44 1994
@@ -0,0 +1,7 @@
+#
+# various lisp types, from Daniel Quinlan (quinlan@yggdrasil.com)
+0	string	;;			Lisp/Scheme program text
+# Emacs 18 - this is always correct, but not very magical.
+0	string	\012(			byte-compiled Emacs-Lisp program data
+# Emacs 19
+0	string	;ELC\023\000\000\000	byte-compiled Emacs-Lisp program data
diff -u -r --new-file file-3.14-orig/Magdir/postscript file-3.14/Magdir/postscript
--- file-3.14-orig/Magdir/postscript	Thu Sep 23 10:57:07 1993
+++ file-3.14/Magdir/postscript	Wed Dec 31 16:00:00 1969
@@ -1,17 +0,0 @@
-#
-# magic.postscript: Magic for postscript files
-#
-# XXX - should we match only versions 1.0 and 2.0, or should we wildcard
-# it?
-#
-0	string		%!		PostScript document
->2	string	PS-Adobe-		conforming
->>11	string	1.0			at level %s
->>11	string	2.0			at level %s
->>11	string	3.0			at level %s
-# Some pc's have the annoying habit of adding a ^D
-0	string		\004%!		PostScript document
->3	string	PS-Adobe-		conforming
->>12	string	1.0			at level %s
->>12	string	2.0			at level %s
->>12	string	3.0			at level %s
diff -u -r --new-file file-3.14-orig/Magdir/printer file-3.14/Magdir/printer
--- file-3.14-orig/Magdir/printer	Wed Dec 31 16:00:00 1969
+++ file-3.14/Magdir/printer	Wed Dec  7 17:10:44 1994
@@ -0,0 +1,38 @@
+# PostScript
+0	string		%!		PostScript document
+>2	string		PS-Adobe-	conforming
+>>11	string		>\0		at level %s
+# Some pc's have the annoying habit of adding a ^D
+0	string		\004%!		PostScript document
+>3	string		PS-Adobe-	conforming
+>>12	string		>\0		at level %s
+
+# HP Printer Control Language, Daniel Quinlan (quinlan@yggdrasil.com)
+0	string		\033E\033	HP PCL printer data
+>3	string		\&l0A		- default page size
+>3	string		\&l1A		- US executive page size
+>3	string		\&l2A		- US letter page size
+>3	string		\&l3A		- US legal page size
+>3	string		\&l26A		- A4 page size
+>3	string		\&l80A		- Monarch envelope size
+>3	string		\&l81A		- No. 10 envelope size
+>3	string		\&l90A		- Intl. DL envelope size
+>3	string		\&l91A		- Intl. C5 envelope size
+>3	string		\&l100A		- Intl. B5 envelope size
+>3	string		\&l-81A		- No. 10 envelope size (landscape)
+>3	string		\&l-90A		- Intl. DL envelope size (landscape)
+
+# Tell file about magic for IMAGEN printer-ready files:
+0	string	@document(		Imagen printer
+# this only works if "language xxx" is first item in Imagen header.
+>10	string	language\ impress	(imPRESS data)
+>10	string	language\ daisy		(daisywheel text)
+>10	string	language\ diablo		(daisywheel text)
+>10	string	language\ printer	(line printer emulation)
+>10	string	language\ tektronix	(Tektronix 4014 emulation)
+# Add any other languages that your Imagen uses - remember
+# to keep the word `text' if the file is human-readable.
+#
+# Now magic for IMAGEN font files...
+0	string		Rast		RST-format raster font data
+>45	string		>0		face %
diff -u -r --new-file file-3.14-orig/Magdir/tex file-3.14/Magdir/tex
--- file-3.14-orig/Magdir/tex	Thu Sep 23 12:44:39 1993
+++ file-3.14/Magdir/tex	Wed Dec  7 17:10:44 1994
@@ -8,11 +8,11 @@
 # Although we may know the offset of certain text fields in TeX DVI
 # and font files, we can't use them reliably because they are not
 # zero terminated. [but we do anyway, christos]
-0	string		\367\002	TeX DVI file
+0	leshort		0x02f7		TeX DVI file data
 >16	string	>\0	(%s)
 0	string		\367\203	TeX generic font data
 0	string		\367\131	TeX packed font data
->4	string	>\0	(%s)
+>3	string	>\0	(%s)
 0	string		\367\312	TeX virtual font data
 0	string		This\ is\ TeX,	TeX transcript text	
 0	string		This\ is\ METAFONT,	METAFONT transcript text
@@ -23,3 +23,25 @@
 2	string		\000\021	TeX font metric data
 2	string		\000\022	TeX font metric data
 >34	string	>\0	(%s)
+
+# Texinfo and GNU Info, from Daniel Quinlan (quinlan@yggdrasil.com)
+0	string		\\input\ texinfo	Texinfo source text
+0	string		This\ is\ Info\ file	GNU Info text
+
+#
+# correct TeX magic for Linux (and maybe more)
+# from Peter Tobias (tobias@server.et-inf.fho-emden.de)
+#
+0	short		0x02f7		TeX DVI File
+>16	string		>\0		(%s)
+0	short		0x59f7		TeX packed font data
+>3	string		>\0		(%s)
+2	string		\000\022	TeX font metric data
+>33	string		>\0		(%s)
+
+# TeX document additions from Daniel Quinlan, quinlan@yggdrasil.com
+0	string		\\input		TeX or derivative document text
+0	string		\\chapter	TeX or derivative document text
+0	string		\\documentstyle	TeX or derivative document text
+0	string		\\section	TeX or derivative document text
+0	string		\\setlength	TeX or derivative document text
diff -u -r --new-file file-3.14-orig/Magdir/timezone file-3.14/Magdir/timezone
--- file-3.14-orig/Magdir/timezone	Wed Dec 31 16:00:00 1969
+++ file-3.14/Magdir/timezone	Wed Dec  7 17:10:44 1994
@@ -0,0 +1,5 @@
+#
+# time zone data, from Daniel Quinlan (quinlan@yggdrasil.com)
+# this will work on Linux, SunOS, and others
+27	byte		1		time zone data
+27	byte		2		time zone data
diff -u -r --new-file file-3.14-orig/Magdir/troff file-3.14/Magdir/troff
--- file-3.14-orig/Magdir/troff	Thu Sep 16 13:38:00 1993
+++ file-3.14/Magdir/troff	Wed Dec  7 17:10:44 1994
@@ -1,6 +1,25 @@
 #
-# magic.troff:
-#
-0	string		\100\357	very old (C/A/T) troff output data
-0	string		'		[nt]roff, tbl, or eqn input text
+# magic.troff
+# updated by Daniel Quinlan (quinlan@yggdrasil.com)
+
+# troff input
+0	string		.\\"		troff or preprocessor input text
+0	string		'\\"		troff or preprocessor input text
+0	string		'.\\"		troff or preprocessor input text
+0	string		\\"		troff or preprocessor input text
 
+# ditroff intermediate output text
+0	string		x\ T		ditroff text
+>4	string		cat		for the C/A/T phototypesetter
+>4	string		ps		for PostScript
+>4	string		dvi		for DVI
+>4	string		ascii		for ASCII
+>4	string		lj4		for LaserJet 4
+>4	string		latin1		for ISO 8859-1 (Latin 1)
+>4	string		X75		for xditview at 75dpi
+>>7	string		-12		(12pt)
+>4	string		X100		for xditview at 100dpi
+>>8	string		-12		(12pt)
+
+# output data formats
+0	string		\100\357	very old (C/A/T) troff output data
diff -u -r --new-file file-3.14-orig/Magdir/typeset file-3.14/Magdir/typeset
--- file-3.14-orig/Magdir/typeset	Thu Sep 16 13:38:01 1993
+++ file-3.14/Magdir/typeset	Wed Dec  7 17:10:44 1994
@@ -1,5 +1,4 @@
 # other typesetting magic
-0	string		\100\357	very old (C/A/T) troff output data
 0	string		Interpress/Xerox	Xerox InterPress data
 >16	string		/			(version
 >>17	string		>\0			%s)
diff -u -r --new-file file-3.14-orig/Magdir/x11 file-3.14/Magdir/x11
--- file-3.14-orig/Magdir/x11	Thu Sep 16 13:38:02 1993
+++ file-3.14/Magdir/x11	Wed Dec  7 17:10:44 1994
@@ -7,3 +7,7 @@
 # 0	lelong	00000004	X11 little-endian snf font
 #
 0	long	00000004	X11 snf font
+
+# some X11 fonts, from Daniel Quinlan (quinlan@yggdrasil.com)
+0	string	\001fcp			X11 font data
+0	string	D1.0\015\012\000\000	X11 Speedo font data
diff -u -r --new-file file-3.14-orig/Makefile file-3.14/Makefile
--- file-3.14-orig/Makefile	Tue May  3 10:58:00 1994
+++ file-3.14/Makefile	Wed Dec  7 17:10:44 1994
@@ -23,19 +23,19 @@
 # 4. This notice may not be removed or altered.
 VERSION	= 3.14
 SHELL	= /bin/sh
-#MAGIC	= /etc/magic
-MAGIC	= /usr/local/etc/magic
+MAGIC	= /etc/magic
+#MAGIC	= /usr/lib/magic
 DEFS	= -DMAGIC='"$(MAGIC)"' # -Dvoid=int
-CC	= cc
-COPTS	= -O -g		# newer compilers allow both; else drop -O
+CC	= gcc
+COPTS	= -O2# -g		# newer compilers allow both; else drop -O
 # For truly antique environments, use this for (dummy) include files:
-COPTS	= -O # -Ilocalinc
+#COPTS	= -O # -Ilocalinc
 CFLAGS	= $(COPTS) $(DEFS)
-LDFLAGS	= $(COPTS) # -Bstatic	# older gdb couldn't handle shared libs
+LDFLAGS	= $(COPTS) -s# -Bstatic	# older gdb couldn't handle shared libs
 SHAR	= bundle
 OFILE	= /usr/bin/file		# old or distributed version, for comparison
 # Where new binary lives; typically /usr/local (BSD), /usr/lbin (USG).
-BINDIR	= /usr/local/bin
+BINDIR	= /usr/bin
 # For installing our man pages; 
 # MANCxxx is manual section for Commands, MANFxxx is section for file formats.
 # MANxDIR is directory names; MANxEXT is the filename extention. Usual values:
@@ -54,9 +54,9 @@
 # MANCDIR			/usr/man/local/man1
 # MANCEXT			1
 
-MANCDIR	= /usr/local/man/man1
+MANCDIR	= /usr/man/man1
 MANCEXT	= 1
-MANFDIR	= /usr/local/man/man4
+MANFDIR	= /usr/man/man4
 MANFEXT	= 4
 
 # There are no system-dependant configuration options (except maybe CFLAGS).
@@ -102,7 +102,7 @@
 
 compress.o apprentice.o ascmagic.o file.o fsmagic.o print.o softmagic.o: file.h
 
-install:	file magic
+install:	file magic install.man
 		cp file	$(BINDIR)/file
 		cp magic $(MAGIC)
 
diff -u -r --new-file file-3.14-orig/README.Linux file-3.14/README.Linux
--- file-3.14-orig/README.Linux	Wed Dec 31 16:00:00 1969
+++ file-3.14/README.Linux	Wed Dec  7 17:10:44 1994
@@ -0,0 +1,62 @@
+** README for Linux **
+
+Notes on patching file-3.14:
+
+After, patching, be certain to delete all zero length files and files
+named *.orig.  Otherwise, you will end up with extra crud in your
+/etc/magic file.  You'll also probably need to patch it from within
+the file-3.14 directory as follows:
+
+    # cd file-3.14; patch -p1 < ~/file-3.14b.diff
+    # find . \( -size 0 -o -name \*.orig \) -print0 | xargs --null rm --
+
+--
+
+In accordance with the LEGAL.NOTICE file,
+
+This is an altered version of file-3.14, which is available in the
+original form via anonymous FTP at tesla.ee.cornell.edu in
+/pub/file-3.14.tar.gz.
+
+This software was written by Ian F. Darwin and others.
+
+This software is Copyright (c) Ian F. Darwin 1986, 1987, 1989, 1990,
+1991, 1992.
+
+These alterations were compiled by Daniel Quinlan (quinlan@yggdrasil.com)
+with the help of the following people:
+
+    Mitchum DSouza (m.dsouza@mrc-apu.cam.ac.uk):
+	additions: Linux locale message catalogs
+
+    Peter Tobias (tobias@server.et-inf.fho-emden.de):
+	fixes/cleanup: linux, zoo
+	additions: Linux TeX, Bash, Debian binary packages
+
+    Daniel Quinlan (quinlan@yggdrasil.com):
+	fixes/cleanup: linux, zoo, audio, commands, ditroff, postscript
+	tex
+	additions: c++, groff, PostScript Type 1 fonts, HTML document
+	text, flex, lex description, LILO boot/chain loaders,
+	Scheme/Lisp, byte-compiled Emacs-Lisp, PCL (HP printer
+	format), TeX documents, Texinfo, GNU Info, timezone data, X11
+	fonts, PSF fonts, and X11 Speedo fonts.
+
+My apologies if I left anyone out.
+
+All of these additions have been sent to and acknowledged by the
+file-3.14 maintainer.  Do not send them to him again.  Do not patch this
+into the original file-3.14 source and upload the result to a Linux FTP
+site--see the file MAINT for more.
+
+These patches are being distributed in the hope that they will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+Please do not contact Yggdrasil Computing about these patches to
+file--they are not responsible for them nor are they maintaining them.
+If you have additions or corrections, please send them to me, Daniel
+Quinlan (quinlan@yggdrasil.com), but DON'T EXPECT ANY HELP in patching
+the source tree, compiling file-3.14, or learning how to knit.
+
+Have a nice day.
